> For the complete documentation index, see [llms.txt](https://docs.vergeos-demo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vergeos-demo.com/knowledge-base/automation-api/api-tables-description.md).

# API Tables Description

The following is a brief description of each of the API tables. To find out more details, add **/#swagger** to the end of your VergeUI's URL (or navigate to **System->API Documentation**). Swagger provides detailed information about each table and allows you to test each method with a Get/Post/Put/Delete action. For more instructions on how to integrate with the API, refer to the [API Documentation](/knowledge-base/automation-api/verge-api-guide.md) page.

## API Tables

### auth\_source\_states

Provides a list of auth source states.

### auth\_sources

Authorization sources table for managing authorization sources like OpenID or AzureAD.

### billing

Used to get billing information for the current environment. This is stored as billing data with a from->to date.

### billing\_actions

Used to send billing actions. The main action is "generate," which creates a new bill.

* **Fields:**
  * **action** : See action list below.
* **Actions:**
  * **generate** : Generate bill
* **Example:**

  ```plaintext
  URL: '/v4/billing_actions'
  POST(JSON): {"action": "generate"}
  ```

### catalog\_logs

Logs specific to Catalogs.

### catalog\_repositories

Catalog repositories and sublists for catalogs, logs, permissions, etc.

### catalog\_repository\_actions

Used to send Catalog Repository Actions.

* **Fields:**
  * **repository** : Row ID for the repository you want to refresh.
  * **action** : Default action is refresh. See action list below.
* **Actions:**
  * **refresh** : Refresh the Catalog Repository.
* **Example:**

  ```plaintext
  URL: '/v4/catalog_repository_actions'
  POST(JSON): {"repository": 1, "action": "refresh"}
  ```

### catalog\_repository\_logs

View and post Catalog Repository Logs.

### catalog\_repository\_status

Used to store and update the Catalog Repository statuses. These determine the state and status of a Catalog Repository.

### catalogs

Catalogs table allowing you to update/post/delete Catalogs.

### certificates

SSL Certificates for your site.

### clone\_iso

Stores information and status of the Verge.io Clone ISO program.

### clone\_iso\_actions

Actions for the Clone ISO feature.

* **Fields:**
  * **action** : Default is "update." See action list below.
* **Actions:**
  * **update** : Update the ISO image.
  * **delete** : Delete the ISO image.
  * **cancel** : Cancel the current build.
* **Example:**

  ```plaintext
  URL: '/v4/clone_iso_actions'
  POST(JSON): {"action": "update"}
  ```

### cloud\_restore

Stores information when a Cloud Restore is performed.

### cloud\_snapshot\_actions

Actions for the System Snapshot feature.

### cloud\_snapshot\_tenant\_actions

Actions for the System Snapshot feature for a Tenant.

### cloud\_snapshot\_tenants

System Snapshots for a Tenant.

### cloud\_snapshot\_vm\_actions

Actions for a VM and System Snapshots.

### cloud\_snapshot\_vms

Used to store information when a System Snapshot is downloaded to a VM.

### cloud\_snapshots

The System Snapshots table includes information about the System Snapshot, as well as a list of VMs, Tenants, and Sync Queues. This can be used to see what VMs are included in a System Snapshot.

### cloudinit\_files

Operations for the Cloudinit Files feature.

### cluster\_actions

Cluster Actions is used to send actions for Clusters.

* **Fields:**
  * **cluster** : Cluster row ID (required).
  * **action** : See action list below.
  * **params** : Parameters supplied in JSON form (optional).
* **Actions:**
  * **shutdown** : Shutdown the Cluster.
  * **cancel\_shutdown** : Cancel current shutdown request.
* **Example:**

  ```plaintext
  URL: '/v4/cluster_actions'
  POST(JSON): {"cluster": 1, "action": "shutdown", "params": "{}"}
  ```

### cluster\_stats\_history\_long

The cluster\_stats\_history\_long table holds Cluster stats history for extended periods.

### cluster\_stats\_history\_short

The cluster\_stats\_history\_short table holds Cluster stats for a short period, storing the most recent statistics for quick access.

### cluster\_status

Handles the status of all the clusters.

### cluster\_tier\_stats

Handles statistics for the vSAN tiers of a cluster.

### cluster\_tier\_stats\_history\_long

Holds historical statistics for Cluster Tiers over extended periods.

### cluster\_tier\_stats\_history\_short

Holds historical statistics for Cluster Tiers over short periods, storing the most recent statistics for quick access.

### cluster\_tier\_status

Used for Cluster Tier statuses.

### cluster\_tiers

Holds a list of Tiers for the cluster.

### clusters

The main table for data on the Clusters.

### file\_actions

The file\_actions table sends file actions.

* **Fields:**
  * **file** : File ID from files table (required).
  * **action** : See action list below.
  * **params** : Parameters supplied in JSON form (optional).
* **Actions:**
  * **overwrite** : Overwrite the file.
  * **add\_link** : Add a file link.
  * **delete\_link** : Delete a file link.
  * **delete\_reference** : Delete file references.
* **Example:**

  ```plaintext
  URL: '/v4/file_actions'
  POST(JSON): {"file": 1, "action": "add_link", "params": "{}"}
  ```

### files

Information related to stored files.

### files\_public\_links

Handles public links for files.

### group\_logs

Logs related to groups.

### groups

Group management table.

### help\_actions

Handles help-related actions.

### help\_search

Search table for help documentation.

### licenses

Handles VergeOS licenses.

### logs

Handles system logs.

### machine\_console

Handles machine console interactions.

### machine\_console\_active

Tracks active machine console sessions.

### machine\_console\_active\_chat

Tracks chat interactions in active machine consoles.

### machine\_device\_gpu\_stats\_history\_long

Holds historical GPU stats for extended periods.

### machine\_device\_gpu\_stats\_history\_short

Holds historical GPU stats for short periods.

### machine\_device\_settings\_nvidia\_vgpu

Handles settings for Nvidia vGPU devices.

### machine\_device\_settings\_tpm

Handles settings for TPM devices.

### machine\_device\_stats

Tracks device statistics.

### machine\_device\_status

Tracks device status.

### machine\_devices

Table for machine device information.

### machine\_drive\_phys

Physical drive data for machines.

### machine\_drive\_stats

Drive statistics for machines.

### machine\_drive\_stats\_history\_long

Holds historical drive statistics for extended periods.

### machine\_drive\_stats\_history\_short

Holds historical drive statistics for short periods.

### machine\_drive\_status

Tracks drive status for machines.

### machine\_drives

Table for machine drives.

### machine\_logs

Tracks machine logs.

### machine\_nic\_stats

NIC statistics for machines.

### machine\_nic\_stats\_history\_long

Historical NIC statistics over long periods.

### machine\_nic\_stats\_history\_short

Historical NIC statistics over short periods.

### machine\_nic\_status

NIC status for machines.

### machine\_nics

Table for NICs in machines.

### machine\_snapshots

Tracks snapshots for machines.

### machine\_stats

General statistics for machines.

### machine\_stats\_history\_long

Historical statistics for machines over long periods.

### machine\_stats\_history\_short

Historical statistics for machines over short periods.

### machine\_status

Tracks status for machines.

### machines

Main table for machine data.

***

{% hint style="info" %}
**Document Information**

* Last Updated: 2024-08-29
* vergeOS Version: 4.12.6
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vergeos-demo.com/knowledge-base/automation-api/api-tables-description.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
